Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.modes
Class PaddedBlockCipher

    java.lang.Object
      org.bouncycastle.crypto.BufferedBlockCipher
          org.bouncycastle.crypto.DefaultBufferedBlockCipher
              org.bouncycastle.crypto.modes.PaddedBlockCipher

Deprecated. use org.bouncycastle.crypto.paddings.PaddedBufferedBlockCipher instead.

public class PaddedBlockCipher
extends DefaultBufferedBlockCipher

A wrapper class that allows block ciphers to be used to process data in a piecemeal fashion with PKCS5/PKCS7 padding. The PaddedBlockCipher outputs a block only when the buffer is full and more data is being added, or on a doFinal (unless the current block in the buffer is a pad block). The padding mechanism used is the one outlined in PKCS5/PKCS7.

Field Summary

Fields inherited from class org.bouncycastle.crypto.DefaultBufferedBlockCipher
`buf, bufOff, cipher, forEncryption, mbCipher, partialBlockOkay, pgpCFB`

Constructor Summary
`PaddedBlockCipher(BlockCipher cipher)` Deprecated. Create a buffered block cipher with, or without, padding.

Method Summary
`int` | `doFinal(byte[] out, int outOff)` Deprecated. Process the last block in the buffer.
`int` | `getOutputSize(int len)` Deprecated. return the size of the output buffer required for an update plus a doFinal with an input of len bytes.
`int` | `getUpdateOutputSize(int len)` Deprecated. return the size of the output buffer required for an update an input of len bytes.
`int` | `processByte(byte in, byte[] out, int outOff)` Deprecated. process a single byte, producing an output block if neccessary.
`int` | `processBytes(byte[] in, int inOff, int len, byte[] out, int outOff)` Deprecated. process an array of bytes, producing output if necessary.

Methods inherited from class org.bouncycastle.crypto.DefaultBufferedBlockCipher
`getBlockSize, getUnderlyingCipher, init, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaddedBlockCipher

    public PaddedBlockCipher(BlockCipher cipher)

  Deprecated.
  Create a buffered block cipher with, or without, padding.

Parameters:
  `cipher` - the underlying block cipher this buffering object wraps.

Method Detail

### getOutputSize

    public int getOutputSize(int len)

  Deprecated.
  return the size of the output buffer required for an update plus a doFinal with an input of len bytes.

  Overrides:
    `getOutputSize` in class `DefaultBufferedBlockCipher`
  Parameters:
    `len` - the length of the input.
  Returns:
    the space required to accommodate a call to update and doFinal with len bytes of input.

### getUpdateOutputSize

    public int getUpdateOutputSize(int len)

  Deprecated.
  return the size of the output buffer required for an update an input of len bytes.

  Overrides:
    `getUpdateOutputSize` in class `DefaultBufferedBlockCipher`
  Parameters:
    `len` - the length of the input.
  Returns:
    the space required to accommodate a call to update with len bytes of input.

### processByte

    public int processByte(byte in,
                           byte[] out,
                           int outOff)
                    throws DataLengthException,
                           java.lang.IllegalStateException

  Deprecated.
  process a single byte, producing an output block if neccessary.

  Overrides:
    `processByte` in class `DefaultBufferedBlockCipher`
  Parameters:
    `in` - the input byte.
    `out` - the space for any output that might be produced.
    `outOff` - the offset from which the output will be copied.
  Returns:
    the number of output bytes copied to out.
  Throws:
    `DataLengthException` - if there isn't enough space in out.
    `java.lang.IllegalStateException` - if the cipher isn't initialised.

### processBytes

    public int processBytes(byte[] in,
                            int inOff,
                            int len,
                            byte[] out,
                            int outOff)
                     throws DataLengthException,
                            java.lang.IllegalStateException

  Deprecated.
  process an array of bytes, producing output if necessary.

  Overrides:
    `processBytes` in class `DefaultBufferedBlockCipher`
  Parameters:
    `in` - the input byte array.
    `inOff` - the offset at which the input data starts.
    `len` - the number of bytes to be copied out of the input array.
    `out` - the space for any output that might be produced.
    `outOff` - the offset from which the output will be copied.
  Returns:
    the number of output bytes copied to out.
  Throws:
    `DataLengthException` - if there isn't enough space in out.
    `java.lang.IllegalStateException` - if the cipher isn't initialised.

### doFinal

    public int doFinal(byte[] out,
                       int outOff)
                throws DataLengthException,
                       java.lang.IllegalStateException,
                       InvalidCipherTextException

  Deprecated.
  Process the last block in the buffer. If the buffer is currently full and padding needs to be added a call to doFinal will produce 2 * getBlockSize() bytes.

  Overrides:
    `doFinal` in class `DefaultBufferedBlockCipher`
  Parameters:
    `out` - the array the block currently being held is copied into.
    `outOff` - the offset at which the copying starts.
  Returns:
    the number of output bytes copied to out.
  Throws:
    `DataLengthException` - if there is insufficient space in out for the output or we are decrypting and the input is not block size aligned.
    `java.lang.IllegalStateException` - if the underlying cipher is not initialised.
    `InvalidCipherTextException` - if padding is expected and not found.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD